/*
 * Copyright (C) 2006-2009 Alex Lasnier <alex@fepg.org>
 *
 * This file is part of Radio Info
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __RADIO_INFO_FILTER_H
#define __RADIO_INFO_FILTER_H


#include <vdr/filter.h>
#include <vdr/device.h>


///////////////////////////////////////////////////////////////////////////////


class cRadioInfoFilter : public cFilter
{   
public:
  static cRadioInfoFilter* Instance(void);
  static void Destroy(void);
  
  void Attach(cDevice* device);
  void Detach(void);
  
protected:
  virtual void Process(u_short Pid, u_char Tid, const u_char* Data, int Length);
  virtual void SetStatus(bool On);

private: 
  cRadioInfoFilter(void);
  virtual ~cRadioInfoFilter() { Detach(); }

  static cRadioInfoFilter* instance;
  cDevice* attachedDevice;
  int numOfRetries;
};


///////////////////////////////////////////////////////////////////////////////


#endif //__RADIO_INFO_FILTER_H
