/*
 * Copyright (C) 2006-2009 Alex Lasnier <alex@fepg.org>
 *
 * This file is part of Radio Info
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __RADIO_INFO_RECEIVER_H
#define __RADIO_INFO_RECEIVER_H


#include <vdr/device.h>
#include <vdr/receiver.h>

#include "data.h"


///////////////////////////////////////////////////////////////////////////////


class cRadioInfoReceiver : public cReceiver
{   
public:
  cRadioInfoReceiver(int Pid, tChannelID ChannelID, cRadioInfoData* Rid);
  virtual ~cRadioInfoReceiver() { Detach(); }

  void Attach(cDevice* device);
  void Detach(void);
  
protected:
  virtual void Receive(uchar* Data, int Length);

private:
  cRadioInfoData* radioInfoData;
  cDevice* attachedDevice; 

  uint8_t songId, infoVers;
};


///////////////////////////////////////////////////////////////////////////////


#endif //__RADIO_INFO_RECEIVER_H
