/*
 * Copyright (C) 2006-2009 Alex Lasnier <alex@fepg.org>
 *
 * This file is part of Radio Info
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __RADIO_INFO_TOOLS_H
#define __RADIO_INFO_TOOLS_H


#include <vdr/osd.h> // eOsdError


///////////////////////////////////////////////////////////////////////////////

// Remove the following line to disable debug messages
#define RI_DEBUG


///////////////////////////////////////////////////////////////////////////////

#ifdef RI_DEBUG

void SetLogType(uint8_t type);

void dprint(uint8_t type, const char* msg, ...);

#else

#define dprint(type, msg, args...)
#define SetLogType(x)

#endif // RI_DEBUG

// Log Types 
#define L_NONE 0x00
#define L_MSG  0x01
#define L_ERR  0x02
#define L_DBG  0x04
#define L_DBGV 0x08
#define L_FIL  0x10
#define L_REC  0x20
#define L_OSD  0x40

#define L_ALL  0xFF
  

void HexDump(const uint8_t* d, int length);

const char* OsdErrorToString(eOsdError err);


///////////////////////////////////////////////////////////////////////////////


#endif //__RADIO_INFO_TOOLS_H
